Install ascii-xfr from minicom (#3537)
[openwrt/svn-archive/archive.git] / net / bind / patches / 100-cross_compile.patch
1 Index: bind-9.4.1/configure
2 ===================================================================
3 --- bind-9.4.1.orig/configure 2007-06-26 21:11:45.000000000 +0200
4 +++ bind-9.4.1/configure 2007-06-26 21:12:33.000000000 +0200
5 @@ -5262,8 +5262,7 @@
6 else
7 test "$cross_compiling" = yes &&
8 { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
9 -echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
10 - { (exit 1); exit 1; }; }
11 +echo "$as_me: error: cannot check for file existence when cross compiling" >&2;} }
12 if test -r "$devrandom"; then
13 eval "$as_ac_File=yes"
14 else
15 @@ -24165,176 +24164,6 @@
16 # which provides some (all?) of the desired functions.
17 #
18
19 -echo "$as_me:$LINENO: checking for inet_ntop with IPv6 support" >&5
20 -echo $ECHO_N "checking for inet_ntop with IPv6 support... $ECHO_C" >&6
21 -if test "$cross_compiling" = yes; then
22 - echo "$as_me:$LINENO: result: assuming inet_ntop needed" >&5
23 -echo "${ECHO_T}assuming inet_ntop needed" >&6
24 - ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_ntop.$O"
25 - ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_ntop.c"
26 - ISC_PLATFORM_NEEDNTOP="#define ISC_PLATFORM_NEEDNTOP 1"
27 -else
28 - cat >conftest.$ac_ext <<_ACEOF
29 -/* confdefs.h. */
30 -_ACEOF
31 -cat confdefs.h >>conftest.$ac_ext
32 -cat >>conftest.$ac_ext <<_ACEOF
33 -/* end confdefs.h. */
34 -
35 -#include <sys/types.h>
36 -#include <sys/socket.h>
37 -#include <netinet/in.h>
38 -#include <arpa/inet.h>
39 -main() {
40 -char a[16],b[64]; return(inet_ntop(AF_INET6, a, b, sizeof(b)) == (char*)0);}
41 -_ACEOF
42 -rm -f conftest$ac_exeext
43 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
44 - (eval $ac_link) 2>&5
45 - ac_status=$?
46 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
47 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
48 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
49 - (eval $ac_try) 2>&5
50 - ac_status=$?
51 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
52 - (exit $ac_status); }; }; then
53 - echo "$as_me:$LINENO: result: yes" >&5
54 -echo "${ECHO_T}yes" >&6
55 - ISC_PLATFORM_NEEDNTOP="#undef ISC_PLATFORM_NEEDNTOP"
56 -else
57 - echo "$as_me: program exited with status $ac_status" >&5
58 -echo "$as_me: failed program was:" >&5
59 -sed 's/^/| /' conftest.$ac_ext >&5
60 -
61 -( exit $ac_status )
62 -echo "$as_me:$LINENO: result: no" >&5
63 -echo "${ECHO_T}no" >&6
64 - ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_ntop.$O"
65 - ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_ntop.c"
66 - ISC_PLATFORM_NEEDNTOP="#define ISC_PLATFORM_NEEDNTOP 1"
67 -fi
68 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
69 -fi
70 -
71 -
72 -# On NetBSD 1.4.2 and maybe others, inet_pton() incorrectly accepts
73 -# addresses with less than four octets, like "1.2.3". Also leading
74 -# zeros should also be rejected.
75 -
76 -echo "$as_me:$LINENO: checking for working inet_pton with IPv6 support" >&5
77 -echo $ECHO_N "checking for working inet_pton with IPv6 support... $ECHO_C" >&6
78 -if test "$cross_compiling" = yes; then
79 - echo "$as_me:$LINENO: result: assuming target platform has working inet_pton" >&5
80 -echo "${ECHO_T}assuming target platform has working inet_pton" >&6
81 - ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON"
82 -else
83 - cat >conftest.$ac_ext <<_ACEOF
84 -/* confdefs.h. */
85 -_ACEOF
86 -cat confdefs.h >>conftest.$ac_ext
87 -cat >>conftest.$ac_ext <<_ACEOF
88 -/* end confdefs.h. */
89 -
90 -#include <sys/types.h>
91 -#include <sys/socket.h>
92 -#include <netinet/in.h>
93 -#include <arpa/inet.h>
94 -main() { char a[16]; return (inet_pton(AF_INET, "1.2.3", a) == 1 ? 1 :
95 - inet_pton(AF_INET, "1.2.3.04", a) == 1 ? 1 :
96 - (inet_pton(AF_INET6, "::1.2.3.4", a) != 1)); }
97 -_ACEOF
98 -rm -f conftest$ac_exeext
99 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
100 - (eval $ac_link) 2>&5
101 - ac_status=$?
102 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
103 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
104 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
105 - (eval $ac_try) 2>&5
106 - ac_status=$?
107 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
108 - (exit $ac_status); }; }; then
109 - echo "$as_me:$LINENO: result: yes" >&5
110 -echo "${ECHO_T}yes" >&6
111 - ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON"
112 -else
113 - echo "$as_me: program exited with status $ac_status" >&5
114 -echo "$as_me: failed program was:" >&5
115 -sed 's/^/| /' conftest.$ac_ext >&5
116 -
117 -( exit $ac_status )
118 -echo "$as_me:$LINENO: result: no" >&5
119 -echo "${ECHO_T}no" >&6
120 - ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_pton.$O"
121 - ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_pton.c"
122 - ISC_PLATFORM_NEEDPTON="#define ISC_PLATFORM_NEEDPTON 1"
123 -fi
124 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
125 -fi
126 -
127 -echo "$as_me:$LINENO: checking for inet_aton" >&5
128 -echo $ECHO_N "checking for inet_aton... $ECHO_C" >&6
129 -cat >conftest.$ac_ext <<_ACEOF
130 -/* confdefs.h. */
131 -_ACEOF
132 -cat confdefs.h >>conftest.$ac_ext
133 -cat >>conftest.$ac_ext <<_ACEOF
134 -/* end confdefs.h. */
135 -
136 -#include <sys/types.h>
137 -#include <netinet/in.h>
138 -#include <arpa/inet.h>
139 -int
140 -main ()
141 -{
142 -struct in_addr in; inet_aton(0, &in); return (0);
143 - ;
144 - return 0;
145 -}
146 -_ACEOF
147 -rm -f conftest.$ac_objext conftest$ac_exeext
148 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
149 - (eval $ac_link) 2>conftest.er1
150 - ac_status=$?
151 - grep -v '^ *+' conftest.er1 >conftest.err
152 - rm -f conftest.er1
153 - cat conftest.err >&5
154 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
155 - (exit $ac_status); } &&
156 - { ac_try='test -z "$ac_c_werror_flag"
157 - || test ! -s conftest.err'
158 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
159 - (eval $ac_try) 2>&5
160 - ac_status=$?
161 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
162 - (exit $ac_status); }; } &&
163 - { ac_try='test -s conftest$ac_exeext'
164 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
165 - (eval $ac_try) 2>&5
166 - ac_status=$?
167 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
168 - (exit $ac_status); }; }; then
169 - echo "$as_me:$LINENO: result: yes" >&5
170 -echo "${ECHO_T}yes" >&6
171 - ISC_PLATFORM_NEEDATON="#undef ISC_PLATFORM_NEEDATON"
172 -else
173 - echo "$as_me: failed program was:" >&5
174 -sed 's/^/| /' conftest.$ac_ext >&5
175 -
176 -echo "$as_me:$LINENO: result: no" >&5
177 -echo "${ECHO_T}no" >&6
178 - ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_aton.$O"
179 - ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_aton.c"
180 - ISC_PLATFORM_NEEDATON="#define ISC_PLATFORM_NEEDATON 1"
181 -fi
182 -rm -f conftest.err conftest.$ac_objext \
183 - conftest$ac_exeext conftest.$ac_ext
184 -
185 -
186 -
187 -
188 -
189 #
190 # Look for a 4.4BSD-style sa_len member in struct sockaddr.
191 #
192 Index: bind-9.4.1/lib/bind/configure
193 ===================================================================
194 --- bind-9.4.1.orig/lib/bind/configure 2007-06-26 21:11:45.000000000 +0200
195 +++ bind-9.4.1/lib/bind/configure 2007-06-26 21:12:33.000000000 +0200
196 @@ -4461,6 +4461,7 @@
197 if eval "test \"\${$as_ac_File+set}\" = set"; then
198 echo $ECHO_N "(cached) $ECHO_C" >&6
199 else
200 +cross_compiling=no
201 test "$cross_compiling" = yes &&
202 { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
203 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}